summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorMattia Rizzolo <mattia@mapreri.org>2015-07-10 11:11:56 +0000
committerHolger Levsen <holger@layer-acht.org>2015-07-10 13:19:48 +0200
commitb4164e368e976486c623b3cb2f267babe7b89202 (patch)
tree41f3dd0596db804c2185e06f63decb3f24d98e5c /bin/reproducible_maintenance.sh
parentfd74accc7371002f806ef07c026951f4212467dc (diff)
downloadjenkins.debian.net-b4164e368e976486c623b3cb2f267babe7b89202.tar.xz
reproducible: maintenance: use zgrep instead of plain grep, since we are now compressing build logs
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 3aa82be9..f36e3e19 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -69,7 +69,7 @@ fi
# only grep through the last 5h (300 minutes) of builds...
# (ignore "*None.rbuild.log" because these are build which were just started)
# this job runs every 4h
-FAILED_BUILDS=$(find $BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec egrep -l -e 'E: Failed to fetch.*(Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' {} \; || true)
+FAILED_BUILDS=$(find $BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec zgrep -l -E 'E: Failed to fetch.*(Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' {} \; || true)
if [ ! -z "$FAILED_BUILDS" ] ; then
echo
echo "The following builds have failed due to network problems and will be rescheduled now:"